Summary: A GPS based navigation tool 
Name: gpsdrive
Version: 2.09
Release: 7%{?dist}
License: GPLv2+
Group: Applications/Productivity
URL: http://www.gpsdrive.de/index.shtml
Source: http://www.gpsdrive.de/packages/gpsdrive-2.09.tar.gz
Patch0: gpsdrive-disable-gcc3-test.patch
Patch1: gpsdrive-2.09-greek.patch
Patch2: gpsdrive-2.09-gcc43.patch
Patch3: gpsdrive-2.09-gps-mysql.patch
Patch4: gpsdrive-2.09-CVE-2008-5703.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gtk2-devel >= 2.0.6
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: pcre-devel
BuildRequires: autoconf m4
Requires: gpsd

%description
Gpsdrive is a map-based navigation system. 
It displays your position on a zoomable map 
provided from a NMEA-capable GPS receiver. The maps are autoselected 
for the best resolution, depending of your position, and the displayed 
image can be zoomed. Maps can be downloaded from the Internet with one 
mouse click. The program provides information about speed, direction, 
bearing, arrival time, actual position, and target position. 
Speech output is also available. MySQL is supported.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# Convert 8859 man pages to UTF-8
for f in man/es/gpsdrive.1 man/de/gpsdrive.1 ; do
    iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f
done

# move greek from gr to el
mv po/gr.gmo po/le.gmo
mv po/gr.po po/le.po

# make wp2sql script work. 
sed -i -e '1i #!/bin/sh' wp2sql

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

chmod 755 $RPM_BUILD_ROOT/%{_datadir}/gpsdrive/wp2sql

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# Don't ship local gpsd, depend on gpsd package
rm -f $RPM_BUILD_ROOT%{_bindir}/gpsd

# remove .so files as they are the only thing that would be in a devel subpackage. 
rm -f $RPM_BUILD_ROOT%{_libdir}/libfly.so
rm -f $RPM_BUILD_ROOT%{_libdir}/libnautic.so

rm -f ${RPM_BUILD_ROOT}%{_datadir}/applications/gpsdrive.desktop

# remove doc files from sharedir, as they are packaged 
# in docdir in this package. 
rm -f ${RPM_BUILD_ROOT}%{_datadir}/gpsdrive/AUTHORS
rm -f ${RPM_BUILD_ROOT}%{_datadir}/gpsdrive/CREDITS
rm -f ${RPM_BUILD_ROOT}%{_datadir}/gpsdrive/FAQ.gpsdrive
rm -f ${RPM_BUILD_ROOT}%{_datadir}/gpsdrive/FAQ.gpsdrive.fr
rm -f ${RPM_BUILD_ROOT}%{_datadir}/gpsdrive/GPS-receivers
rm -f ${RPM_BUILD_ROOT}%{_datadir}/gpsdrive/LEEME
rm -f ${RPM_BUILD_ROOT}%{_datadir}/gpsdrive/LISEZMOI
rm -f ${RPM_BUILD_ROOT}%{_datadir}/gpsdrive/NMEA.txt
rm -f ${RPM_BUILD_ROOT}%{_datadir}/gpsdrive/README
rm -f ${RPM_BUILD_ROOT}%{_datadir}/gpsdrive/README.FreeBSD
rm -f ${RPM_BUILD_ROOT}%{_datadir}/gpsdrive/README.SQL
rm -f ${RPM_BUILD_ROOT}%{_datadir}/gpsdrive/README.gpspoint2gspdrive
rm -f ${RPM_BUILD_ROOT}%{_datadir}/gpsdrive/README.kismet
rm -f ${RPM_BUILD_ROOT}%{_datadir}/gpsdrive/README.nasamaps
rm -f ${RPM_BUILD_ROOT}%{_datadir}/gpsdrive/TODO
rm -f ${RPM_BUILD_ROOT}%{_datadir}/gpsdrive/create.sql

# remove geo-code for CVE-2008-4959
rm -f ${RPM_BUILD_ROOT}%{_bindir}/geo-code

# remove geo-nearest for CVE-2008-5380
rm -f ${RPM_BUILD_ROOT}%{_bindir}/geo-nearest

# remove gpssmswatch for CVE-2008-5703
rm -f ${RPM_BUILD_ROOT}%{_bindir}/gpssmswatch

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        gpsdrive.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr (-,root,root,-)
%doc GPS-receivers AUTHORS COPYING CREDITS TODO
%doc TODO README LEEME LISEZMOI README.FreeBSD README.nasamaps
%doc README.gpspoint2gspdrive FAQ.gpsdrive FAQ.gpsdrive.fr
%doc README.SQL create.sql  NMEA.txt README.kismet  LISEZMOI.kismet LISEZMOI.SQL
%doc %{_mandir}/de/man1/gpsdrive.1*
%doc %{_mandir}/es/man1/gpsdrive.1*
%doc %{_mandir}/man1/gpsdrive.1*
%{_libdir}/libfly*
%{_libdir}/libnautic*
%{_bindir}/friendsd2
%{_bindir}/garble
%{_bindir}/geocache2way
%{_bindir}/gpsdrive
%{_bindir}/gpsfetchmap.pl
%{_bindir}/gpspoint2gpsdrive.pl
%{_bindir}/gpsreplay
%{_bindir}/gpssql_backup.sh
%{_bindir}/gpssql_restore.sh
%{_bindir}/wpcvt
%{_bindir}/wpget
%dir %{_datadir}/gpsdrive
%{_datadir}/gpsdrive/gpsdrivesplash.png
%{_datadir}/gpsdrive/gpsdrivemini.png
%{_datadir}/gpsdrive/friendsicon.png
%{_datadir}/gpsdrive/gpsicon.png
%{_datadir}/gpsdrive/gpsiconbt.png
%{_datadir}/gpsdrive/gpsdriveanim.gif
%{_datadir}/gpsdrive/top_GPSWORLD.jpg
%{_datadir}/gpsdrive/wp2sql
%{_datadir}/applications/fedora-gpsdrive.desktop
%{_datadir}/pixmaps/gpsicon.png

%changelog
* Mon Feb 02 2009 Kevin Fenzi <kevin@tummy.com> - 2.09-7
- fix for CVE-2008-4959 - bug 470241
- fix for CVE-2008-5380 - bug 475478
- fix for CVE-2008-5703 - bug 481702

* Tue Apr 08 2008 Kevin Fenzi <kevin@tummy.com> - 2.09-6
- Add patch for gpsd arguments - bug 438615
- Add patch for mysql - bug 441179

* Sun Feb 10 2008 Kevin Fenzi <kevin@tummy.com> - 2.09-5
- Rebuild for gcc43

* Tue Aug 21 2007 Kevin Fenzi <kevin@tummy.com> - 2.09-4
- Update License tag. 

* Mon May 21 2007 Kevin Fenzi <kevin@tummy.com> - 2.09-3
- Do not ship useless INSTALL file. 
- Fix incorrect greek translation. 

* Tue May 15 2007 Kevin Fenzi <kevin@tummy.com> - 2.09-2
- Update for current guidelines

* Tue Apr 12 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.09-1.iva.1
- Added gtk2-devel to BR

* Sat Jan  8 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:2.09-1.iva.0
- Retooled spec file for standards
